
public interface
IWavelet
{
	string Name {
		get;
	}

	double[] ScalingNumbersAnalysis {
		get;
	}
	double[] ScalingNumbersSynthesis {
		get;
	}

	double[] WaveletNumbersAnalysis {
		get;
	}
	double[] WaveletNumbersSynthesis {
		get;
	}

	int SupportSize {
		get;
	}
}

public enum FilterType {
	Analysis,
	Synthesis,
};

public enum PassType {
	Trend,
	Fluctuation,
};


public interface
IWaveletDTCW
{
	string Name {
		get;
	}

	double[] this [FilterType ft, int tree, PassType hilo]
		{ get; }

	int SupportSize {
		get;
	}
}



